#!/usr/bin/env sh

set -e

CC=cc
GDO_ENVIRONMENT=$1/environment

gdo --if Changed $2.c $(cc -MM $2.c | tr -d '\n\\' | cut -d':' -f2)
gdo --if Created $2.o.do $GDO_ENVIRONMENT

# We want to check for custom environment variables like CC
if [ -e $GDO_ENVIRONMENT ]; then
    source $GDO_ENVIRONMENT
fi

${CC} -c $2.c -o $3 > /dev/null
