HASKELL_PACKAGES="process filepath directory containers transformers bytestring cryptonite"
for p in ${HASKELL_PACKAGES}; do
    GHC_PACKAGES="-package $p ${GHC_PACKAGES}"
done

function filter_comments () {
    grep -ve "^#"
}

function extract_object_deps () {
    grep -E "^${1}\\.o" | cut -d ':' -f2 | tr -d ' '
}

function extract_exec_deps () {
    grep -E -e "^[^\.]*.o " | cut -d ':' -f1 | tr -d ' ' | sort -u
}
